面对 MongoDB 3.x ,用什么C++ driver

来源:转载


首先要看下github的c++驱动项目

https://github.com/mongodb/mongo-cxx-driver



这里有个简要的介绍,当前C++驱动分成三个版本,放在不同的branch 中

masterAlphaIn progressNew C++11 driverlegacyStableStable EvolutionPrimary stable C++ driver release26compatStableMaintenance OnlyDrop in replacement for users of existing 2.6 era C++ driver
BranchStabilityDevelopmentPurpose

简单来讲,

如果你有之前的代码要兼容,不想修改,请用26compat, 编译方法参考我的博客

http://blog.csdn.net/csfreebird/article/details/25512251

如果你有新的代码要编写,请用legacy

如果你想用master branch里面的驱动,还是等等吧。这个new driver还是一个不稳定版本。主要目的是使用C++11特性。



分享给朋友:
您可能感兴趣的文章:
随机阅读: